upstream danielle_app_unicorn {
	server unix:/home/web/danielle_app/shared/unicorn.sock fail_timeout=0;
}

server {
	listen 80;
	server_name test.script-art.fr;
	root /home/web/danielle_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
		proxy_redirect off;
		proxy_pass http://danielle_app_unicorn;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
  
  location ~ ^/(assets)/  {
    root /home/web/danielle_app/current/public;
    gzip_static on;
    expires max;
    add_header Cache-Control public;
    # access_log /dev/null;
  }
  
  location ~ ^/(public_medias)/  {
    root /home/web/danielle_app/current/public;
    gzip_static on;
    expires max;
    add_header Cache-Control public;
    # access_log /dev/null;
  }
  
  
}


server {
	listen 80;
    server_name test.script-art.net;
    rewrite ^(.*) http://test.script-art.fr$1 permanent;
}

